升級php8.0後wordpress部分外掛出現cURL error 77解決方法

wordpress是目前很多人使用的CMS軟體,這套CMS是採用PHP開發,而很多架設wordpress的網站都是建立在php7.4版本之上,不過隨著php8.0的發布部分網站也開始將系統升級到php8.0以求更高效的網站運行速度。

在資訊圈混久的人都知道系統升級往往都是令人既期待又害怕受傷害的一件事,因為升級系統除了可以修復舊系統的一些問題或漏洞,也能夠享受一些新功能或是得到效能的提升。不過系統升級往往多少伴隨著一些問題,主要是相容性的問題。就本篇文章中所提到的cURL error 77這個問題。

將WP運行的主機php升級到8.0後部分外掛會出現cURL error 77然後顯示SSL檔案驗證路徑出問題,這主要是7.4跟8.0驗證檔案路徑的不同。

打開php.ini查詢相關路徑設定會看到

php 7.4
curl.cainfo = /etc/ssl/certs/ca-certificates.crt
openssl.cafile=/etc/ssl/certs/ca-certificates.crt

php 8
curl.cainfo = /etc/pki/tls/certs/ca-bundle.crt
openssl.cafile=/etc/pki/tls/certs/ca-bundle.crt

這時候只要將php8.0的路徑設定改成php7.4的路徑設定即可。當然也可以將驗證檔案搬移到php8.0預設的設定路徑之上。

發表您的留言